/* Batch file to create the FtpServer distribution. */
/* The result is one distribution zip file and two source packages. */

'del ftpser*.zip'
'del temp /N 2> nul'
'rmdir temp 2> nul'
cd doc
'ipfc -i ftpserver.ipf'
cd ..
'cd ..\FSU'
'xc =p setup.prj'
'cd \dev1\Monitor'
'xc =p monitor.prj'
'cd \MyApps2\ftpser'
'copy ..\FSU\Setup.exe'
'copy \dev1\Monitor\Monitor.exe'
'xc =p ftpd.prj'
'xc =p viosetup.prj'
'xc =p Tmonitor.prj'
'xc =p loadprm.prj'
'xc =p storeprm.prj'
'xc =p loganaly.prj'
'\apps\lxlite\lxlite *.exe'
ver = version()

/* Generate symbol files.  If you don't have Perl,   */
/* you can omit the next three lines.                */

'call PerlEnv.cmd'
perl 'D:\Apps\scripts\makexqs.pl' ftpd.map
say "ftpd.sym and ftpd.xqs should now exist"

/* Set some version numbers and icons. */

call bldlvl ver
call seticon

/* Put all the files we want to zip up into a directory 'temp'. */

'copy D:\Dev1\general\doc\gpl.txt'
mkdir temp
cd temp
mkdir doc
'copy ..\doc\changes.doc doc'
'copy ..\doc\ftpserver.ipf doc'
mkdir tools
'copy ..\tools\README tools'
'copy ..\tools\AddUser.cmd tools'
'copy ..\tools\CloseServer.cmd tools'
'copy ..\tools\FindPassword.cmd tools'
'copy ..\tools\LimitedUse.cmd tools'
'copy ..\tools\MakeLetter.cmd tools'
'copy ..\tools\Migrate.cmd tools'
'copy ..\tools\movelog.cmd tools'
'copy ..\tools\NewfwIP.cmd tools'
'copy ..\tools\OneTime.cmd tools'
'copy ..\tools\remove.cmd tools'
'copy ..\tools\ResetPos.cmd tools'
'copy ..\tools\ShutFtpd.cmd tools'
'copy ..\README'
'copy ..\BUILDING'
'copy ..\makezip.cmd'
'copy ..\version.cmd'
'copy ..\bldlvl.cmd'
'copy ..\seticon.cmd'
'copy ..\gpl.txt'
'copy ..\file_id.diz'
'copy ..\doc\ftpserver.inf'
'copy ..\ftpd.exe'
'copy ..\ftpd.map'
'copy ..\ftpd.sym'
'copy ..\ftpd.xqs'
'copy ..\ftpd.prj'
'copy ..\setup.exe'
'copy ..\..\FSU\setup.prj'
'copy ..\viosetup.exe'
'copy ..\viosetup.prj'
'copy ..\monitor.exe'
'copy \Dev1\Monitor\monitor.prj'
'copy ..\tmonitor.exe'
'copy ..\tmonitor.prj'
'copy ..\loadprm.exe'
'copy ..\loadprm.prj'
'copy ..\storeprm.exe'
'copy ..\storeprm.prj'
'copy ..\ftpd.fmt'
'copy ..\setup.fmt'
'copy ..\monitor.fmt'
'copy ..\QuickStart.cmd'
'copy ..\loganaly.exe LogAnalysis.exe'
'copy ..\loganaly.prj'
'copy ..\folder.cmd'
'copy ..\doc\anonymous.prm doc'
'copy ..\doc\example.prm doc'
'copy ..\doc\manager.prm doc'
'copy ..\doc\welcome.msg doc'
'cd ..'

/* Zip up the source files. */

del src.zip
'imports ftpd | zip -j src.zip -@'
'imports viosetup | zip -j src.zip -@'
'imports tmonitor | zip -j src.zip -@'
'imports loadprm | zip -j src.zip -@'
'imports storeprm | zip -j src.zip -@'
'imports loganaly | zip -j src.zip -@'
'zip src.zip -u gpl.txt'
'copy src.zip ftpserSrc'ver'.zip'
del src.zip

/* Zip up the main package. */

cd temp
'zip -r ..\ftpser'ver'.zip .'
'del doc\* /n'
rmdir doc
'del tools\* /n'
rmdir tools
'del * /n'
cd ..
rmdir temp

/* The Setup sources go into a different source file. */

del src.zip
'Imports ..\FSU\Setup | zip -j -u src.zip -@'
'zip src.zip -u gpl.txt'
'copy src.zip ftpserSetupSrc'ver'.zip'

/* The Monitor sources go into yet another source file. */

del src.zip
'Imports \Dev1\Monitor\Monitor | zip -j -u src.zip -@'
'zip src.zip -u gpl.txt'
'copy src.zip ftpserMonitorSrc'ver'.zip'

/* Remove temporary files. */

del src.zip
del gpl.txt

